Subject: Re: bug#46837: Makefile dependencies for info files

From: Glenn Morris <[email-masked]>
Date: Thu, 04 Mar 2021 14:00:26 -0500

Glenn Morris wrote:

> 1) Catering for systems without makeinfo - I would suggest dropping this.

By which I meant, remove configure --without-makeinfo and special-casing
HAVE_MAKEINFO=no in the Makefile, thus removing the need for the
"info-real" target.

configure not finding makeinfo would continue to be non-fatal if
info/emacs.info exists, to cater for release tarfiles where info files
are pre-built.

> 1) build-aux/make-info-dir to parse .org sources (for texinfo_dir_category)
> in preference to .texi ones if the former exist.

Done in bd443f4e9c..9e94509267.